import request from '@/utils/request'
//创建用户
export function userCreate(params: Object) {
  return request({
    url: '/api/user/create',
    method: 'get',
    params
  })
}

//记录用户选择的信息
export function userSave(params: Object) {
  return request({
    url: '/api/user/save',
    method: 'get',
    params,
    meta: {
    //   responseAll: true // 返回所有的信息，包括状态码和message和data
    }
  } as any)
}

//获取题目
export function getQueryPage(data: Object) {
  return request({
    url: '/api/outfits/queryPage',
    method: 'post',
    data,
    // repeatRequest: true // 配置为true，则可以同一时间多次调用
  }as any)
}

//查报告
export function getCalculateReport() {
  return request({
    url: '/api/outfits/calculateReport',
    method: 'get',
  })
}